org.springframework.jmx.export.metadata

## Class ManagedOperation

- java.lang.Object
- - org.springframework.jmx.export.metadata.AbstractJmxAttribute
  - - org.springframework.jmx.export.metadata.ManagedOperation

    public class ManagedOperation
    extends AbstractJmxAttribute

Metadata that indicates to expose a given method as JMX operation. Only valid when used on a method that is not a JavaBean getter or setter.

Since:
  1.2
Author:
  Rob Harrop
See Also:
  `MetadataMBeanInfoAssembler`, `MBeanExporter`

### Constructor Summary

Constructors
Constructor and Description
`ManagedOperation()`

### Method Summary

### Methods inherited from class org.springframework.jmx.export.metadata.AbstractJmxAttribute

`getCurrencyTimeLimit, getDescription, setCurrencyTimeLimit, setDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManagedOperation

    public ManagedOperation()